;$Id: fullbin.nsi,v 1.10 2001/08/29 21:34:30 robux4 Exp $ 
;
;
;$Log: fullbin.nsi,v $
;Revision 1.10  2001/08/29 21:34:30  robux4
;Ready for version 1.6.0
;
;Revision 1.9  2001/08/21 18:53:37  robux4
;Updated to version 1.6.0
;
;Revision 1.8  2001/08/16 20:17:12  robux4
;updated for version 1.4.3
;
;Revision 1.7  2001/08/16 20:00:33  robux4
;Added the encoding DLL location in the abuot box
;
;Revision 1.6  2001/08/13 18:44:42  robux4
;Initial support for free borland compiler
;
;Revision 1.5  2001/08/11 15:54:11  robux4
;Ready for version 1.4.1
;
;Revision 1.4  2001/08/11 09:31:57  robux4
;Updated for version 1.4.1
;
;Revision 1.3  2001/08/01 19:41:13  robux4
;Added an installation warning about Winamp running
;
;Revision 1.2  2001/07/27 16:41:08  robux4
;Updated to version 1.4.1
;
;Revision 1.1  2001/07/26 19:37:10  robux4
;New installer uses SuperPimp and UPX
; 
;
Name "Mukoli MP3 Output"
CRCCheck on
ComponentText "This will install Mukoli MP3 Output 1.6.1 on your computer$\r$\n(based on LAME)$\r$\nIf you are upgrading, you should close WinAmp"
OutFile "out_lame.binf_v161.exe"
SetCompress auto
;InstallDir $PROGRAMFILES\Winamp
;ReadRegStr $INSTDIR HKCR "Winamp.File\DefaultIcon" ""
InstallDirRegKey HKCR "Winamp.File\DefaultIcon" ""
DirText "Locate your winamp directory"

LicenseText "Mukoli MP3 Output License"
LicenseData license.txt

SetDatablockOptimize on

Section "out_lame required files"
SetOverwrite on
SetOutPath $INSTDIR\Plugins
File Release\out_lame.dll
SetOutPath $INSTDIR\Plugins\out_lame
File license.html
File licence_fr.html
;WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\mp3out" "DisplayName" "Mukoli MP3 Output (remove only)"
;WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\mp3out" "UninstallString" '"$INSTDIR\Plugins\uninst.exe"'
SectionEnd

Section "default configuration file (recommended)"
SetOverwrite on
SetOutPath $INSTDIR\Plugins
IfFileExists $OUTDIR\out_lame.xml 0 DOXML
	MessageBox MB_OKCANCEL|MB_ICONQUESTION  "Should I overwrite your 'out_lame.xml' file ?$\r$\n$\r$\nYou may lose your previous parameters" IDCANCEL NOXML
DOXML:
	File out_lame.xml
	File out_lame.xsd
NOXML:
SectionEnd

Section "Lame DLL (3.90/1.26)"
SetOverwrite ifnewer
SetOutPath $INSTDIR\Plugins
File lame_enc.dll
SectionEnd

SectionDivider

Section "out_lame documentation"
SetOverwrite on
SetOutPath $INSTDIR\Plugins\out_lame
File index.css
File index.html
SectionEnd

InstallColors /windows
ShowInstDetails show

Function .onVerifyInstDir
	IfFileExists $INSTDIR\Winamp.exe PathGood
		Abort ; if $INSTDIR is not a winamp directory, don't let us install there
PathGood:
FunctionEnd
	
Function .onInstSuccess
	MessageBox MB_OK|MB_ICONEXCLAMATION "Don't forget to configure the output directory$\r$\n$\r$\nWinamp -> Ctrl+P -> Output plugins -> Configure"
	Exec "rundll32.exe $SYSDIR\url.dll,FileProtocolHandler $INSTDIR\Plugins\out_lame\license.html"
FunctionEnd


!packhdr tmp.exe "upx.exe --best tmp.exe"

;Section Uninstall
; add delete commands to delete whatever files/registry keys/etc you installed here.
;Delete "$INSTDIR\Plugins\uninst.exe"
;DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\outputplug"
;RMDir "$INSTDIR\Plugins\out_lame"
;Delete "$INSTDIR\Plugins\out_lame.*"
;Delete "$INSTDIR\Plugins\lame_enc.dll"
;SectionEnd ; end of uninstall section

